DNSSD::RemoteService Class Reference

`#include <remoteservice.h>`

Inheritance diagram for DNSSD::RemoteService:

## Public Types

typedef KSharedPtr< RemoteService > | Ptr
Public Types inherited from DNSSD::ServiceBase
typedef KSharedPtr< ServiceBase > | Ptr

## Signals

void | resolved (bool)

## Public Member Functions

| RemoteService (const QString &label)
| RemoteService (const QString &name, const QString &type, const QString &domain)
| RemoteService (const KURL &url)
void | resolveAsync ()
bool | resolve ()
bool | isResolved () const
Public Member Functions inherited from DNSSD::ServiceBase
| ServiceBase (const QString &name=QString::null, const QString &type=QString::null, const QString &domain=QString::null, const QString &host=QString::null, unsigned short port=0)
const QString & | serviceName () const
const QString & | type () const
const QString & | domain () const
const QString & | hostName () const
unsigned short | port () const
const QMap< QString, QString > & | textData () const

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
virtual void | customEvent (QCustomEvent *event)
Protected Member Functions inherited from DNSSD::ServiceBase
QString | encode ()
void | decode (const QString &name)

## Friends

KDNSSD_EXPORT QDataStream & | operator<< (QDataStream &s, const RemoteService &a)
KDNSSD_EXPORT QDataStream & | operator>> (QDataStream &s, RemoteService &a)

## Additional Inherited Members

Protected Attributes inherited from DNSSD::ServiceBase
QString | m_serviceName
QString | m_type
QString | m_domain
QString | m_hostName
unsigned short | m_port
QMap< QString, QString > | m_textData

## Detailed Description

RemoteService class allows to resolve service announced on remote machine.

In most cases objects of this class are created by ServiceBrowser, but it is not required. Only fields valid before service is resolved are name, type.and domain.

class representing service announced on remote machine.

Author
  Jakub Stachowski

Definition at line 42 of file remoteservice.h.

## Constructor & Destructor Documentation

DNSSD::RemoteService::RemoteService | ( | const QString & | label | ) |

Creates unresolved service from given DNS label.

Parameters

  label | Data returned by PTR query - it is decoded into name, type and domain

Definition at line 59 of file remoteservice.cpp.

DNSSD::RemoteService::RemoteService | ( | const QString & | name,
|  | const QString & | type,
|  | const QString & | domain
| ) |  |

Creates unresolved remote service with given name, type and domain.

Definition at line 64 of file remoteservice.cpp.

DNSSD::RemoteService::RemoteService | ( | const KURL & | url | ) |

Creates resolved remote service from invitation URL constructed by PublicService::toInvitation.

If URL was invalid, service is set to unresolved and other fields should not be used.

Definition at line 70 of file remoteservice.cpp.

## Member Function Documentation

bool DNSSD::RemoteService::isResolved | ( |  | ) | const

Returns true if service has been successfully resolved.

Definition at line 111 of file remoteservice.cpp.

bool DNSSD::RemoteService::resolve | ( |  | ) |

Synchronous version of resolveAsync().

Note that resolved(bool) is emitted before this function returns,

Returns
  TRUE is successful

Definition at line 89 of file remoteservice.cpp.

void DNSSD::RemoteService::resolveAsync | ( |  | ) |

Resolves host name and port of service.

Host name is not resolved into numeric address - use KResolver for that. Signal resolved(bool) will be emitted when finished or even before return of this function - in case of immediate failure.

Definition at line 97 of file remoteservice.cpp.

void DNSSD::RemoteService::resolved | ( | bool |  | ) |

signal

Emitted when resolving is complete.

Parameter is set to TRUE if it was successful. If operating in asynchronous mode this signal can be emitted several times (when service change)

The documentation for this class was generated from the following files:

- remoteservice.h
- remoteservice.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys